npm-deprecate Deprecate a version of a package

SYNOPSIS

npm deprecate <pkg>[@<version>] <message>

DESCRIPTION

此命令将更新软件包的npm注册表项,向所有尝试安装该软件包的人提供弃用警告.

它适用于版本范围以及特定版本,因此您可以执行以下操作:

npm deprecate [email protected]"< 0.2.3" "critical bug fixed in v0.2.3"

请注意,您必须是程序包所有者才能弃用某些内容. 请参阅owneradduser帮助主题.

要取消使用包,请为message参数指定一个空字符串( "" ). 请注意,必须使用双引号,且双引号之间不能有空格,以格式化空字符串.

SEE ALSO


by  ICOPY.SITE